List trading account balances
curl --request GET \
--url https://api.anchorage-staging.com/v2/trading/accounts/{accountId}/balances \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trading/accounts/{accountId}/balances"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trading/accounts/{accountId}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"balance": {
"quantity": "250000.00",
"assetType": "USD",
"currentPrice": "1.00",
"currentUSDValue": "250000.00"
}
},
{
"balance": {
"quantity": "10000.00000000",
"assetType": "USDC",
"currentPrice": "1.00",
"currentUSDValue": "10000.00"
}
},
{
"balance": {
"quantity": "9.00000000",
"assetType": "BTC",
"currentPrice": "10000.00",
"currentUSDValue": "90000.00"
}
}
]
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Permissions required: Read trade activity
Get the trading account balances of fiat and digital assets
GET
/
trading
/
accounts
/
{accountId}
/
balances
List trading account balances
curl --request GET \
--url https://api.anchorage-staging.com/v2/trading/accounts/{accountId}/balances \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trading/accounts/{accountId}/balances"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trading/accounts/{accountId}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"balance": {
"quantity": "250000.00",
"assetType": "USD",
"currentPrice": "1.00",
"currentUSDValue": "250000.00"
}
},
{
"balance": {
"quantity": "10000.00000000",
"assetType": "USDC",
"currentPrice": "1.00",
"currentUSDValue": "10000.00"
}
},
{
"balance": {
"quantity": "9.00000000",
"assetType": "BTC",
"currentPrice": "10000.00",
"currentUSDValue": "90000.00"
}
}
]
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The ID of the trading account to get the balances for
Query Parameters
The asset type to display balance for
Response
Successfully returned the balances of the trading account
Show child attributes
Show child attributes
Was this page helpful?